Subject: Re: Cygwin does not have unicode support however FileZilla displays unicode
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2010 05:49:26 +0100
List-Id: <cygwin.cygwin.com>

Eric wrote:
> Hi I have been confused about a matter between cygwin and the (open)ssh
> server package.

I think your confusion stems from the fact that Cygwin 1.7, released
at the end of last year, does in fact support Unicode (i.e. UTF-8).
It's the default.

> I believe everything works when  FileZilla connects to the SSHd server is
> because it does not go through cygwin's BASH (which doesnt support unicode),
> instead it communicates directly to OpenSSH's (which does support Unicode).

Bash does support Unicode, but when running it in a console window you
need to select an appropriate font in the console window defaults to
be able to display codepoints outside your language's codepage. Lucida
Console or Consolas, for example.

Alternatively, run one of the Unicode-enabled terminals: mintty,
xterm, rxvt-unicode.

> I believe that is why Unicode works on FileZilla but not in Putty.

Putty uses the ISO-8859-1 character set by default. Change it to UTF-8
on the Window/Translation page of its options.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple